Bug 501124 - No sound from laptop (Thinkpad x61) speakers; headphone jack works
No sound from laptop (Thinkpad x61) speakers; headphone jack works
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 14:03 EDT by Andrew Overholt
Modified: 2010-06-28 08:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from pulseaudio -vvvv (59.75 KB, text/plain)
2009-05-16 14:03 EDT, Andrew Overholt
no flags Details
alsa-info.txt (23.57 KB, text/plain)
2009-05-18 11:46 EDT, Andrew Overholt
no flags Details

  None (edit)
Description Andrew Overholt 2009-05-16 14:03:19 EDT
Created attachment 344286 [details]
log from pulseaudio -vvvv

Description of problem:
I get no audio from my laptop (x61)'s speakers.  I'm running the latest rawhide (F-11) on x86_64.  The headphone jack works.  The internal speakers worked in F-10 before I upgraded to rawhide so I'm pretty sure it's not a hardware issue.

Version-Release number of selected component (if applicable):
0.9.15-11.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Notice audio isn't playing in totem after playing video; pulseaudio -k
2. pulseaudio -vvv
3. Open video in totem
  
Actual results:
No audio

Expected results:
Audio :)

Additional info:
[vvvvt:~]$ rpm -qa | grep pulse
pulseaudio-utils-0.9.15-11.fc11.x86_64
pulseaudio-0.9.15-11.fc11.x86_64
pulseaudio-module-x11-0.9.15-11.fc11.x86_64
alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64
pulseaudio-libs-0.9.15-11.fc11.x86_64
pulseaudio-libs-glib2-0.9.15-11.fc11.x86_64
pulseaudio-module-gconf-0.9.15-11.fc11.x86_64
pulseaudio-module-bluetooth-0.9.15-11.fc11.x86_64
[vvvvt:~]$ ps aux | grep pulse
overholt  3090  0.0  0.0  89004   772 pts/0    S+   13:49   0:00 grep pulse
[vvvvt:~]$ pulseaudio -vvvv &> pulse.log
[vvvvt:~]$ /sbin/lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

Yesterday, I watched an OGG video with audio going out of the headphone jack and it worked fine.  Playing audio in rhythmbox shows in the list of applications in Sound Preferences yet I get no audio there, either.  Totem shows up in the list, too.  All I see in the Output tab of Sound Preferences is "Internal Audio" -- is that may laptop speakers?
Comment 1 Lennart Poettering 2009-05-18 09:40:45 EDT
Please read this:

https://www.redhat.com/archives/fedora-devel-list/2009-April/msg02321.html

Please try to fix the mixer setup with "alsamixer -c0", then attach the two alsactl outputs, the diffs between them, and the alsa-info.sh output.
Comment 2 Andrew Overholt 2009-05-18 11:46:09 EDT
Created attachment 344462 [details]
alsa-info.txt

Thanks, the last element in alsamixer -- "speaker" -- was the culprit.  Somehow it was muted.  I'll attach alsa-info.txt.  The diff from amixer is quite simple:

--- amixer_before.txt	2009-05-18 11:32:57.959392864 -0400
+++ amixer_after.txt	2009-05-18 11:37:58.890425122 -0400
@@ -104,5 +104,5 @@
   Capabilities: pswitch
   Playback channels: Front Left - Front Right
   Mono:
-  Front Left: Playback [off]
-  Front Right: Playback [off]
+  Front Left: Playback [on]
+  Front Right: Playback [on]
Comment 3 Lennart Poettering 2009-05-18 14:46:31 EDT
Hmm, could you make that diff a bit larger? i.e. diff -N 7 or so, so that we can see which element it is you changed?

Will reassign this to alsa-libs now, because this needs fixing in the alsa default mixer initialization db.
Comment 4 Andrew Overholt 2009-05-19 08:57:45 EDT
(In reply to comment #3)
> Hmm, could you make that diff a bit larger? i.e. diff -N 7 or so, so that we
> can see which element it is you changed?

How's this?

--- amixer_after.txt	2009-05-19 08:56:02.644830457 -0400
+++ amixer_before.txt	2009-05-19 08:56:12.173080430 -0400
@@ -100,9 +100,9 @@
   Limits: 0 - 3
   Front Left: 0 [0%]
   Front Right: 0 [0%]
 Simple mixer control 'Speaker',0
   Capabilities: pswitch
   Playback channels: Front Left - Front Right
   Mono:
-  Front Left: Playback [on]
-  Front Right: Playback [on]
+  Front Left: Playback [off]
+  Front Right: Playback [off]
Comment 5 Andrew Overholt 2009-05-19 08:58:54 EDT
Ugh, obviously off -> on and not the other way around.

--- amixer_before.txt	2009-05-19 08:56:12.173080430 -0400
+++ amixer_after.txt	2009-05-19 08:56:02.644830457 -0400
@@ -100,9 +100,9 @@
   Limits: 0 - 3
   Front Left: 0 [0%]
   Front Right: 0 [0%]
 Simple mixer control 'Speaker',0
   Capabilities: pswitch
   Playback channels: Front Left - Front Right
   Mono:
-  Front Left: Playback [off]
-  Front Right: Playback [off]
+  Front Left: Playback [on]
+  Front Right: Playback [on]
Comment 6 Jaroslav Kysela 2009-05-19 09:29:19 EDT
This problem should be fixed with latest alsa-utils-1.0.20 rawhide package. Just run 'alsactl init' after installation. Please, confirm.
Comment 7 Andrew Overholt 2009-05-19 09:44:09 EDT
I installed alsa-utils.x86_64 0:1.0.20-3.fc11 and ran 'alsactl init' afterwards as root.  I don't know if this was affected by my previous un-muting of the Speaker element, but I now continue to get sound out of my speakers.  Thanks.
Comment 8 Bug Zapper 2009-06-09 11:56:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-04-27 10:21:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:34:22 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.